commit:     b8589315650ed22edf2e51d3324b0bb7d8984b08
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  7 06:50:49 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Dec  7 06:50:49 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8589315

dev-ruby/addressable: add 2.4.0

Package-Manager: portage-2.2.20.1

 dev-ruby/addressable/Manifest                 |  1 +
 dev-ruby/addressable/addressable-2.4.0.ebuild | 44 +++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-ruby/addressable/Manifest b/dev-ruby/addressable/Manifest
index 71f57a1..6aa5ce7 100644
--- a/dev-ruby/addressable/Manifest
+++ b/dev-ruby/addressable/Manifest
@@ -1,2 +1,3 @@
 DIST addressable-2.3.6.gem 98304 SHA256 
e822c28133d151d450778bbcf1f6e7742d4c3aba54498eb0da33d80a3990ee8c SHA512 
26a2d754397a5e46bc22ea9755d1c1a1b9f993e38fcf9b0a6133ea6d0aa7bdc0fe6bfe83bc39991e3b258fa3122e44bbd0b0758026be02af2a70ffef96d0dfa4
 WHIRLPOOL 
19ef0436df04172ca5dd9811d75616e069871476df879c10bc711e9db084636ca6edebed7500707d9409d6bd9041ece431609a7e4b2e42121a7cce6989bf5964
 DIST addressable-2.3.8.gem 99840 SHA256 
a64ef127ac7b0ceed1324dfbccb478e8b0e4b272f6a53a8f11ffbe826a576394 SHA512 
56c3f4b95a78af3b35fa0813cc0b010f89c698fefb0c79865af553ba5c2a162b936921de40b2659498812efc1692ed49e95f9984a044c0ed42f96a26b666b5fc
 WHIRLPOOL 
537aa51973efe6c834f02b2bec884f1385132e4923ef633614ffc022c7b9a550ecc83b837aa0b6232f21a163006f7b6bbbdbe8b3df99c39c2008c493dd3c0546
+DIST addressable-2.4.0.gem 102400 SHA256 
7abfff765571b0a73549c9a9d2f7e143979cd0c252f7fa4c81e7102a973ef656 SHA512 
b81fa48e7c4188827c03ac93960b6fd6fb9f5a438f5243cddea39d6820ef756ee7c0086ec330dc4a3538008b3b254757af7d30248624127649cc006a2793eda8
 WHIRLPOOL 
6f245a158eb13b69add13a024421e88c8b4b5344f11b74bd95d9967fb265889e0123c63c041660d74994d08bcc18c345a34e91c45b20aef40ee5cbc5abfd80b7

diff --git a/dev-ruby/addressable/addressable-2.4.0.ebuild 
b/dev-ruby/addressable/addressable-2.4.0.ebuild
new file mode 100644
index 0000000..3673e26
--- /dev/null
+++ b/dev-ruby/addressable/addressable-2.4.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_DOC="doc:yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RAKE_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A replacement for the URI implementation that is part of Ruby's 
standard library"
+HOMEPAGE="https://rubygems.org/gems/addressable 
https://github.com/sporkmonger/addressable";
+
+LICENSE="Apache-2.0"
+
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="doc test"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )"
+ruby_add_bdepend "test? ( dev-ruby/rspec-its )"
+
+all_ruby_prepare() {
+       # Remove spec-related tasks so that we don't need to require rspec
+       # just to build the documentation, bug 383611.
+       sed -i -e '/spectask/d' Rakefile || die
+       rm -f tasks/rspec.rake || die
+       sed -i -e '/bundler/ s:^:#:' \
+               -e '/^begin/,/^end/ s:^:#:' \
+               spec/spec_helper.rb || die
+
+       # Remove specs requiring network connectivity
+       rm -f spec/addressable/net_http_compat_spec.rb || die
+
+       # Remove spec that tests against an unreleased github fork
+       rm -f spec/addressable/rack_mount_compat_spec.rb || die
+}

Reply via email to